"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSvgIconWithVariants = exports.createSvgIcon = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeSvg = require("react-native-svg");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const createSvgIcon = xml => _ref => {
  let {
    color,
    fillOpacity = 1.0,
    size = 24,
    ...props
  } = _ref;
  const defaultIconColor = _reactNative.Appearance.getColorScheme() === 'light' ? '#000000' : '#ffffff';
  return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.SvgXml, _extends({}, props, {
    fillOpacity: fillOpacity,
    fill: color !== null && color !== void 0 ? color : defaultIconColor,
    width: size,
    height: size,
    xml: xml
  }));
};

exports.createSvgIcon = createSvgIcon;

const createSvgIconWithVariants = xml => _ref2 => {
  let {
    color,
    fillOpacity = 1.0,
    size = 24,
    variant,
    ...props
  } = _ref2;
  const defaultIconColor = _reactNative.Appearance.getColorScheme() === 'light' ? '#000000' : '#ffffff';
  const value = variant ? xml[variant] : xml[Object.keys(xml)[0]];
  return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.SvgXml, _extends({}, props, {
    fillOpacity: fillOpacity,
    fill: color !== null && color !== void 0 ? color : defaultIconColor,
    width: size,
    height: size,
    xml: value
  }));
};

exports.createSvgIconWithVariants = createSvgIconWithVariants;
//# sourceMappingURL=createSvgIcon.js.map