import { ColorValue } from 'react-native';
import { XmlProps } from 'react-native-svg';
export interface MIconProps extends Omit<XmlProps, 'fill' | 'width' | 'height' | 'xml'> {
    color?: ColorValue;
    size?: number;
}
export declare const createSvgIcon: (xml: string) => ({ color, fillOpacity, size, ...props }: MIconProps) => JSX.Element;
export interface MIconPropsVariants<T> extends MIconProps {
    variant?: T;
}
export declare const createSvgIconWithVariants: <T extends Record<string, string>>(xml: T) => ({ color, fillOpacity, size, variant, ...props }: MIconPropsVariants<keyof T>) => JSX.Element;
